﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Testing.SimpleMFPlayer
{
    public static class Helper
    {
        /// <summary>
        /// Disposes the given object.
        /// </summary>
        /// <typeparam name="T">The type of the object.</typeparam>
        /// <param name="objectToDispose">The object to be disposed.</param>
        public static void SafeDispose<T>(ref T objectToDispose)
            where T : IDisposable
        {
            try
            {
                if (objectToDispose != null) { objectToDispose.Dispose(); }
            }
            finally
            {
                objectToDispose = default(T);
            }
        }
    }
}
